Test Suite Endpoints
Get Test Suite
Get details of a specific test suite
GET
/
api
/
platform
/
testSuites
/
{suiteId}
Get Test Suite
curl --request GET \
--url https://api.example.com/api/platform/testSuites/{suiteId}import requests
url = "https://api.example.com/api/platform/testSuites/{suiteId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/platform/testSuites/{suiteId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"tests": [
{}
]
}Request
GET /api/platform/testSuites/{suiteId}
Path Parameters
Test suite ID
Query Parameters
Include full test details
Example Request
curl -X GET "https://api.agentdiff.dev/api/platform/testSuites/suite-123?expand=true" \
-H "X-API-Key: ad_live_sk_..."
Response
Suite identifier
Suite name
Suite description
List of tests (when
expand=true)Example Response (expand=true)
{
"id": "suite-123",
"name": "Slack Bench",
"description": "Core Slack agent capabilities",
"templateService": "slack",
"templateName": "slack_bench_default",
"impersonateUserId": "U01AGENBOT9",
"tests": [
{
"id": "test-001",
"name": "Post message to channel",
"prompt": "Post 'Hello World!' to #general",
"expectedOutput": {
"assertions": [
{
"diff_type": "added",
"entity": "messages",
"where": {
"channel_id": {"eq": "C01GENERAL99"},
"message_text": {"contains": "Hello"}
},
"expected_count": 1
}
]
}
},
{
"id": "test-002",
"name": "Add reaction",
"prompt": "Add a thumbs up reaction to the latest message in #general",
"expectedOutput": {
"assertions": [
{
"diff_type": "added",
"entity": "reactions",
"where": {
"reaction_name": {"eq": "thumbsup"}
}
}
]
}
}
]
}
Example Response (expand=false)
{
"id": "suite-123",
"name": "Slack Bench",
"description": "Core Slack agent capabilities",
"testCount": 20
}
Test Object
Each test includes:| Field | Description |
|---|---|
id | Unique test identifier |
name | Test name |
prompt | Prompt to give to the agent |
expectedOutput | Assertions in JSON DSL |
SDK Usage
# Get suite without tests
suite = client.get_test_suite("suite-123")
print(f"{suite.name}: {suite.testCount} tests")
# Get suite with full test details
suite = client.get_test_suite("suite-123", expand=True)
for test in suite.tests:
print(f" - {test.name}: {test.prompt}")
// Get suite without tests
const suite = await client.getTestSuite('suite-123');
console.log(`${suite.name}: ${suite.testCount} tests`);
// Get suite with full test details
const fullSuite = await client.getTestSuite('suite-123', { expand: true });
fullSuite.tests.forEach(test => {
console.log(` - ${test.name}: ${test.prompt}`);
});
⌘I
Get Test Suite
